%clear all;
ecoulom = 1.602e-19;
kb = 8.617e-5;

nin=load('nin1d_20nm02V.txt');
cd out-10v;

%nin=load('nin100nm1916.txt');
%cd out-100nm-1916

%nin=load('nin500nm1816.txt');
%cd out-500nm-1816;

%nin=load('res19.txt');
%cd out-res19-pbc;

av=load('avgs.txt');
x=av(:,1)*1e7;
n=av(:,2);
e=av(:,3);
v=av(:,4);
p=av(:,5)-av(1,5);
nin(:,4)=nin(:,4)-nin(1,4);
f=av(:,6);
a=av(:,7);  %load('agrid.txt');
o=av(:,8);  %load('ogrid.txt');

figure(3);
subplot(5,1,1);
plot(x,p,x,nin(:,4),'r-');
ylabel('pot (V)');

subplot(5,1,2);
plot(x,f,'b-',x,nin(:,2),'r-');
ylabel('efield (V/cm)');

subplot(5,1,3);
plot(x,e,'b-',x,1.5*kb*nin(:,8),'r-');
ylabel('energy (eV)');

subplot(5,1,4);
plot(x,v,'b-',x,nin(:,7),'r-');
ylabel('vx (cm/s)');

subplot(5,1,5);
semilogy(x,n,x,nin(:,3),'r-');
ylabel('n (1/cm^3)');
xlabel('x (nm)');

figure(4);
plot(x,-p)  %x,-nin(:,4),'r-');
grid on;
hold on;
set(gca,'fontname','arial');
set(gca,'fontsize',9);
set(gcf,'paperposition',[1 1 4.5 1.6]);

figure(5);
h=a+o;
je=nin(:,6)/ecoulom;
%plot(x,a,'g--',x,o,'m--',x,h,'b-');
plot(x,h,'b-');
%plot(x,a,'g--',x,o,'m--',x,smooth(h),'b-');
hold on;
%plot(x,-n.*v.*f,x,nin(:,6)/ecoulom);
%plot(x,je,'r-');
%plot(x,n.*(e-.0388)/.5e-12);
%hold off;
set(gca,'fontname','arial');
set(gca,'fontsize',10);
set(gca,'Position',[0.11 0.1 0.8 0.8])
set(gcf,'paperposition',[1 1 3.85 1.6]);
%ylabel('Power (eV/cm^3/s)');
%xlabel('x (nm)');

DL=sum(x.*h)/sum(h) - sum(x.*je)/sum(je)

cd ..;
