%clear all;
%%%
% NOTE: all power below in Watts
%%%
ecoulom = 1.602e-19;
kb = 8.617e-5;

%nin=load('nin1d_20nm02V.txt');
%av=load('avgs_L20nm_150nm_02V.txt');
%av=load('avgs_L20nm_150nm_04V.txt');
%av=load('avgs_L20nm_150nm_06V.txt');
%av=load('avgs_L20nm_150nm_08V.txt');
av=load('avgs_L20nm_150nm_10V.txt');

x=av(:,1)*1e7;
n=av(:,2);
e=av(:,3);
v=av(:,4);
p=av(:,5)-av(1,5);
eb=-p;
f=av(:,6);
a=av(:,7);
o=av(:,8);
h=(a+o)*ecoulom;  % power in Watts/cm^3

ix=find((x>-20) & (x<40));
dp=diffe(x,p);
[y,il]=min(dp); il=il-1;
[y,ir]=max(dp); ir=ir+1;

V=p(length(p)-p(1))
J=mean(ecoulom*n.*v)
JV=J*V
Esrc=max(eb(il:ir))-eb(il)
Edrn=max(eb(il:ir))-eb(ir)
emax=max(e)
Hmax=max(h(ix))
Hmin=min(h(ix))
[V J JV Esrc Edrn emax Hmax Hmin]
Leff=x(ir)-x(il)

figure(1);
subplot(3,1,1);
plot(x,eb,'b-');
set(gca,'xlim',[-100 120]);
hold on;

subplot(3,1,2);
plot(x,e,'b-');
set(gca,'xlim',[-100 120]);
hold on;

subplot(3,1,3);
%je=nin(:,6);
%plot(nin(:,1)*1e7,je,'r-');
plot(x,h,'b-')
%plot(x,h,'b-',x,smooth(h),'m-');
%plot(x,a,'g--',x,o,'m--',x,h,'b-');
hold on;
set(gca,'xlim',[-100 120]);
set(gca,'fontname','arial');
set(gca,'fontsize',9);
%set(gca,'Position',[0.11 0.1 0.8 0.8])
set(gcf,'paperposition',[1 1 3.85 1.6]);
ylabel('Power (W/cm^3)');
xlabel('Distance x (nm)');
